Jump to content

# Electron (Polski)

From ArchWiki

Powiązane artykuły

- Node.js
- Wytyczne dotyczące pakietów Electron

Translation Status: This article is a localized version of Electron. Last translation date: 2024-05-01. You can help to synchronize the translation, if there were changes in the English version.

Electron to aplikacja opracowana przez GitHub do tworzenia wieloplatformowych aplikacji desktopowych przy użyciu technologii internetowych. Są one renderowane przy użyciu silnika przeglądarki Chromium, a zaplecze wykorzystuje środowisko uruchomieniowe Node.js.

## Instalacja

Zainstaluj pakiet electron dla najnowszej wersji.

Niektóre aplikacje wymagają starszych wersji elektronów. Można zainstalować poprzednie wersje równolegle z najnowszą. Odpowiednie pakiety są oznaczone numerem wersji, na przykład electron20AUR[broken link: package not found].

## Wskazówki i porady

### Przekształć dowolną stronę internetową w aplikację

Czasami trzeba korzystać z określonej strony internetowej, ale używać jej jako aplikacji. Dzięki nodejs-nativefierAUR możesz przekształcić dowolną stronę internetową w aplikację elektronową. Na przykład, istnieje strona [1] pokazująca wciśnięte przyciski na gamepadzie i chcesz utworzyć dla niej osobne okno. Uruchom:

    $ nativefier --name gamepad-overlay \
    --platform linux --arch x64 \
    --width 1024 --height 768 \
    --tray --disable-dev-tools \
    --single-instance "https://gamepadviewer.com/?p=1&s=4&smeter=1"

Teraz w katalogu domowym znajdzie się plik binarny `~/gamepad-overlay-linux-x64/gamepad-overlay`. Możesz go uruchomić i mieć nakładkę gamepada we własnym oknie.

Więcej opcji można znaleźć na stronie głównej projektu [2].

### Włącz obsługę Wayland

Zobacz Wayland#Electron.

Category:

- Frameworks (Polski)

Hidden category:

- Pages with broken package links

Electron (Polski)
Add topic